<?php  
defined('BASEPATH') OR exit('No direct script access allowed');  
  
class Update extends CI_Controller {  
      
    public function index()  
    {  
        $this->load->view('hello_world');  
    }  
	
	public function updateRequest($arg1){
        
        $version = 228.6;

        if($arg1 < $version){

            $myJSON = array('file' => 'https://ibosub.com/app_apks/media-player-ibo-dk-test-228.6-release.apk');    
            echo json_encode($myJSON);

        }else{

            $emptyarray=array();
            echo json_encode($emptyarray);

        }
		
	}
	
	public function updateRequest1($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updateRequest2($arg1){
        
        $version = 228.4;

        if($arg1 < $version){

            $myJSON = array('file' => 'https://ibosub.com/app_apks/media-player-ibo-dk-test-228.6-release.apk');    
            
            echo json_encode($myJSON);

        }else{

            $emptyarray=array();
            echo json_encode($emptyarray);

        }
        
		
	}
	
	public function updateRequest3($arg1){
        
        $version = 228.6;

        if($arg1 < $version){

            $myJSON = array('file' => 'https://papatoys.b-cdn.net/mpi/media-player-ibo-dk-test-228.6-release.apk');    
            
            echo json_encode($myJSON);

        }else{

            $emptyarray=array();
            echo json_encode($emptyarray);

        }
        
		
	}
	
	public function updaterequest_ibo_active_code($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_bob($arg1){
        
         $version = 1.0;

        if($arg1 < $version){

            $myJSON = array('file' => 'https://ibosub.com/app_apks/bob-player-223.1-release.apk');    
            
            echo json_encode($myJSON);

        }else{

            $emptyarray=array();
            echo json_encode($emptyarray);

        }
		
	}
	
	public function updaterequest_set_bob($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_set_iboxtv($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_set_iboss($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_set_playboss($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_set_ibopro($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	public function updaterequest_set_4kplayer($arg1){
        
        $emptyarray=array();
        echo json_encode($emptyarray);
		
	}
	
	
}  
?>  